## org.codehaus.groovy.grails.web.pages.ext.jsp
Class WebXmlTagLibraryReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.codehaus.groovy.grails.web.pages.ext.jsp.WebXmlTagLibraryReader

All Implemented Interfaces:
  groovy.lang.GroovyObject, ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class WebXmlTagLibraryReader

extends DefaultHandler
implements groovy.lang.GroovyObject

Constructor Summary
`WebXmlTagLibraryReader()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `characters(char[] chars, int offset, int length)`
`void` `endElement(String ns, String localName, String qName)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static Object` `getTAG_TAGLIB_LOC()`
`static Object` `getTAG_TAGLIB_URI()`
`static Object` `getTAG_TAGLIB()`
`Map` `getTagLocations()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setTagLocations(Map value)`
`void` `startElement(String ns, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXmlTagLibraryReader

    public WebXmlTagLibraryReader()

Method Detail

### getTAG_TAGLIB_URI

    public static Object getTAG_TAGLIB_URI()

### getTAG_TAGLIB_LOC

    public static Object getTAG_TAGLIB_LOC()

### getTAG_TAGLIB

    public static Object getTAG_TAGLIB()

### getTagLocations

    public Map getTagLocations()

### setTagLocations

    public void setTagLocations(Map value)

### startElement

    public void startElement(String ns,
                             String localName,
                             String qName,
                             Attributes attributes)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### characters

    public void characters(char[] chars,
                           int offset,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

### endElement

    public void endElement(String ns,
                           String localName,
                           String qName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project